# ID: DOC-024
# Canonical API endpoint baseline (planned vs implemented)
# Status: planned | implemented | missing | deferred

auth:
  - path: /api/auth/login
    methods: [POST]
    status: planned
  - path: /api/auth/logout
    methods: [POST]
    status: planned
  - path: /api/auth/status
    methods: [GET]
    status: implemented

user:
  - path: /api/user/profile
    methods: [GET]
    status: implemented
  - path: /api/user/preferences
    methods: [GET, PUT]
    status: implemented
  - path: /api/user/liked
    methods: [GET]
    status: implemented
  - path: /api/user/history
    methods: [GET]
    status: implemented
  - path: /api/user/library
    methods: [GET]
    status: planned

playlists:
  - path: /api/playlists
    methods: [GET, POST]
    status: implemented
  - path: /api/playlists/{id}
    methods: [GET, PUT, DELETE]
    status: planned
  - path: /api/playlists/{id}/tracks
    methods: [GET, POST, DELETE]
    status: planned

tracks:
  - path: /api/tracks
    methods: [GET]
    status: implemented
  - path: /api/tracks/{id}
    methods: [GET]
    status: planned
  - path: /api/tracks/{id}/download
    methods: [POST]
    status: planned

downloads:
  - path: /api/downloads/status
    methods: [GET]
    status: implemented
  - path: /api/downloads/{id}/cancel
    methods: [POST]
    status: planned

system:
  - path: /api/system/status
    methods: [GET]
    status: implemented
  - path: /api/system/storage
    methods: [GET]
    status: implemented
  - path: /api/system/logs
    methods: [GET]
    status: implemented
  - path: /api/system/uptime
    methods: [GET]
    status: implemented
  - path: /api/system/env
    methods: [GET]
    status: implemented

cache:
  - path: /api/cache
    methods: [GET, DELETE]
    status: implemented

config:
  - path: /api/config
    methods: [GET, PUT]
    status: implemented

network:
  - path: /api/network
    methods: [GET]
    status: implemented

search:
  - path: /api/search
    methods: [GET]
    status: implemented

webhooks:
  - path: /api/webhooks
    methods: [POST, DELETE]
    status: implemented

meta:
  - path: /ping
    methods: [GET]
    status: implemented
  - path: /health
    methods: [GET]
    status: implemented
  - path: /version
    methods: [GET]
    status: implemented
  - path: /api/schema
    methods: [GET]
    status: implemented
  - path: /openapi.json
    methods: [GET]
    status: implemented
  - path: /docs
    methods: [GET]
    status: implemented
  - path: /docs/oauth2-redirect
    methods: [GET]
    status: implemented
  - path: /redoc
    methods: [GET]
    status: implemented
